#ifndef __ZMESSAGEDLG_H__
#define __ZMESSAGEDLG_H__

#include <zpopup.h>

// sizeof == sizeof(ZPopup) + 4
class ZMessageDlg : public ZPopup {
  Q_OBJECT
  public:
    enum MessageDlgType {
      TypeChoose,  // Ok / Cancel
      TypeConfirm, // Yes / No
      TypeOK,      // single Ok button
      TypeCustom   // no buttons
    };

    // tm_auto_hide in msec
    ZMessageDlg(QString const &title, QString const &text,
        ZMessageDlg::MessageDlgType type, int tm_auto_hide,
        QWidget*, char const* = 0, bool modal = true, unsigned int = 0);
    
    // creates empty popup
    ZMessageDlg(QWidget*, char const*, bool, unsigned int);
    
    virtual ~ZMessageDlg();    
    void setType(ZMessageDlg::MessageDlgType);
    
  protected:
    virtual void keyReleaseEvent(QKeyEvent*);
    virtual void keyPressEvent(QKeyEvent*);

  private:
    char _zmessagedlg_stuff[4];
};

#endif
