#ifndef __ZGLOBAL_H__
#define __ZGLOBAL_H__

#include <qrect.h>

class QWidget;

enum EZX_FONT_SIZE_T {
  EZX_FONT_SIZE_SMALL,
  EZX_FONT_SIZE_MEDIUM,
  EZX_FONT_SIZE_LARGE
};

namespace ZGlobal {
  QRect getScreenR();
  QRect getStatusBarR();
  QRect getCstR();
  QRect getDlgLargeR();
  QRect getDlgSmallR();
  
  QRect getContentR(bool = false);
  QRect getHomeR(bool = false);
  QRect getHeaderR(bool = false);

  int getFontSize(EZX_FONT_SIZE_T);
  int getLineSpace();
  int getLineHeight();
  void mapFromGlobalR(QWidget *, QRect);
};

#endif
